## vim-link-vim 1.0.3+git20240521

=== debian/changelog ===
vim-link-vim (1.0.3+git20240521-2) unstable; urgency=medium

  * Source-only-upload 

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 13 Jul 2024 13:46:42 +0200

vim-link-vim (1.0.3+git20240521-1) unstable; urgency=medium

  * Initial release. (Closes: #1071529)

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 10 Jul 2024 21:55:38 +0200

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.3+git%cd" \
  https://github.com/qadzek/link.vim.git HEAD

## vim-link-vim 1.0.3+git20240921

=== debian/changelog ===
vim-link-vim (1.0.3+git20240921-1) unstable; urgency=medium

  * New upstream snapshot 1.0.3+git20240921

 -- Matthias Geiger <werdahias@debian.org>  Sat, 26 Oct 2024 18:43:56 +0200

vim-link-vim (1.0.3+git20240911-1) unstable; urgency=medium

  * New upstream snapshot
  * Use correct branch name in gbp.conf

 -- Matthias Geiger <werdahias@debian.org>  Thu, 12 Sep 2024 20:10:40 +0200

vim-link-vim (1.0.3+git20240716-1) unstable; urgency=medium

  * New upstream snapshot

 -- Matthias Geiger <werdahias@debian.org>  Sat, 07 Sep 2024 12:26:26 +0200

## vim-link-vim 2.0.0

=== Makefile ===
.PHONY: build access lint lint-docker test test-vim test-vim-docker test-nvim test-nvim-docker
.DEFAULT_GOAL := lint

CONTAINER := docker container run --rm link.vim
CONTAINER_TTY := docker container run -it --rm link.vim
LINT := vint .
TEST := 'Vader! **/*.vader'

git-hooks:
	git config core.hooksPath .git_hooks

build:
	docker image build -t link.vim .
access: build
	$(CONTAINER_TTY)

lint:
	$(LINT)
lint-docker: build
	$(CONTAINER) $(LINT)

test:
	./test/run_tests.py -e nvim

test-vim:
	./test/run_tests.py -e vim
test-vim-docker: build
	$(CONTAINER) vim -c $(TEST)

test-nvim:
	./test/run_tests.py -e nvim
test-nvim-docker: build
	$(CONTAINER) nvim -c $(TEST)

## vim-link-vim 1.4.0

=== debian/changelog ===
vim-link-vim (1.4.0-1) unstable; urgency=medium

  * d/watch: Switch to tag-based updates
  * New upstream version 1.4.0

 -- Matthias Geiger <werdahias@debian.org>  Fri, 20 Dec 2024 19:07:54 +0100

vim-link-vim (1.0.3+git20241128-1) unstable; urgency=medium

  * New upstream snapshot 1.0.3+git20241128

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 18:24:54 +0100

=== debian/control ===
Source: vim-link-vim
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.0
Homepage: https://github.com/qadzek/link.vim
Vcs-Browser: https://salsa.debian.org/vim-team/vim-link-vim
Vcs-Git: https://salsa.debian.org/vim-team/vim-link-vim.git

Package: vim-link-vim
Architecture: all
Depends: ${misc:Depends}, ${vim-addon:Depends}
Description: Keep long links out of your way
 link-vim is a vim plugin that keeps long links out of the way.
 It supports links in Markdown syntax and plaintext links (e.g. in emails,
 in text files etc.). Links will be moved to a separate Links: section at
 the end of the document.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/link.vim-$1\.tar\.gz/ \
	https://github.com/qadzek/link.vim/tags .*/v?(\d\S*)\.tar\.gz

## vim-link-vim 2.0.0

=== debian/changelog ===
vim-link-vim (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * d/control: Drop RRR, Priority: optional
  * d/control: Bump Standards-Version to 4.7.2; no changes needed
  * d/rules: Prevent upstream makefile from being run
  * d/gbp.conf: Add postimport slug

 -- Matthias Geiger <werdahias@debian.org>  Tue, 09 Dec 2025 15:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: vim-link-vim
 Section: editors
-Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-vim-addon,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/qadzek/link.vim
 Vcs-Browser: https://salsa.debian.org/vim-team/vim-link-vim
 Vcs-Git: https://salsa.debian.org/vim-team/vim-link-vim.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Skip upstream makefile
override_dh_auto_build:

override_dh_auto_test:
